#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - libxpm-tools preinstallation
#
# Creation   :  2018-05-13 holbru
# Last update:  $Id: preinstall.sh 54946 2018-05-13 09:09:22Z hbfl $
#
# Copyright (c) 2018-2023 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=libxpm-tools

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check libxpm 2.8.0)

if [ "${installed}" = "new" ]
then
    if [ -f /etc/filelist.d/libxpm-files.txt ]
    then
        sed -i '/cxpm/d' /etc/filelist.d/libxpm-files.txt
        sed -i '/sxpm/d' /etc/filelist.d/libxpm-files.txt
    fi
fi

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
